Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1055932

Summary: Kate is no longer installed as part of kdesdk
Product: [Fedora] Fedora Reporter: David Jansen <jansen>
Component: kdesdkAssignee: Ngo Than <than>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 20CC: jgrulich, jreznik, kevin, ltinkl, rdieter, rnovacek, smparrish, than
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-21 14:31:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Jansen 2014-01-21 09:25:38 UTC
Description of problem:
Installing the kdesdk meta-package used to include the kate editor, but no more in F20. Documentation of the kdesdk rpm still mentions kate, so a user may think that installing kdesdk will install kate as a dependency.

Version-Release number of selected component (if applicable):
kate-4.11.5-1.fc20.x86_64, kdesdk-4.11.5-1.fc20.noarch

Either add back the dependency, or if kate was intentionally dropped from the meta-package, update the rpm info of kdesdk:

# rpm -qi kdesdk
Name        : kdesdk
Version     : 4.11.5
Release     : 1.fc20
Architecture: noarch
Install Date: Sat 18 Jan 2014 03:21:54 MET
Group       : Unspecified
Size        : 0
License     : GPLv2+ and GFDL
Signature   : RSA/SHA256, Wed 08 Jan 2014 20:48:00 MET, Key ID 2eb161fa246110c1
Source RPM  : kdesdk-4.11.5-1.fc20.src.rpm
Build Date  : Sat 04 Jan 2014 02:33:46 MET
Build Host  : arm02-builder03.arm.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.kde.org/
Summary     : The KDE Software Development Kit (SDK)
Description :
A metapackage/collection of applications and tools used by developers, including:
* cervisia: a CVS frontend
* lokalize: Computer-aided translation system
* kate: advanced text editor
* kcachegrind: a browser for data produced by profiling tools (e.g. cachegrind)
* kompare: diff tool
* okteta: binary/hex editor
* umbrello: UML modeller and UML diagram tool

Comment 1 Rex Dieter 2014-01-21 14:31:28 UTC
Already fixed in rawhide/kde-4.12 packaging,

http://pkgs.fedoraproject.org/cgit/kdesdk.git/commit/?id=e383f427b653afeaec364312d602491c0189f3c2

f20 will get the fix too when kde-4.12.2 lands